<?php 
include('db/idl_connect.php');
echo '<meta charset="utf-8" />';
		
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][5]!="2")
	{
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="../index.php">Accueil</a></p>';
	}
	else {
		if(isset($_POST['maj_send'])) {
			include('db/proc/maj_eleves.php');
		}

		echo '<h1>Mettre à jour la table élèves</h1>';
		echo '<p class="maxwidth">Ce formulaire permet de mettre à jour la liste d\'élèves, en particulier lors d\'une nouvelle rentrée scolaire. Il est possible également de mettre à jour la liste dans l\'année avec cet outil, mais il est conseillé de passer par le simple ajout, la modification et la suppression pour chaque élève si les mouvements sont limités.<br><span class="signal">Attention à vérifier les noms des élèves pour s\'assurer qu\'ils soient identiques d\'une année sur l\'autre (noms avec tirets ou espaces...). De même, attention à vérifier que la syntaxe pour les divisions soit la même.</span><br>Dans tous les cas, <b>avant la mise à jour ici, il est fortement conseillé de faire une sauvegarde de la base de données, <a href="param.php?page=majlog">dans le module de sauvegarde</a></b>.<br />De même, sachant que tous les élèves quittant l\'établissement vont être également évacués de la base, ainsi que leurs acquisitions en termes de savoirs, il est important de finaliser l\'évaluation par une information ou un transfert sur un autre outil qui officialise par exemple leurs acquis.</p>
		<p class="noborder maxwidth">Pour mettre à jour la liste d\'élèves dans la base, il faut un <b>fichier CSV</b> avec les champs suivants, <b>dans cet ordre</b>, <b>séparés par des points-virgules (;)</b> :</p>
		<ul>
			<li>Nom</li>
			<li>Prénom</li>
			<li>Division (format 5-4, sans espaces doubles)</li>
			<li>Date de naissance (format JJ/MM/AAAA)</li>
			<li>Sexe (F ou M)</li>
			<li><i>Code (optionnel)</i></li>
		</ul>
		<p class="maxwidth">Il est impératif que la division commence par 6, 5, 4, 3, 2, 1, T ou A pour les statistiques et l\'évaluation. Le A correspond à toute classe qui n\'est pas de la 6ème à la Terminale (sauf paramétrages spécifiques). Le nom d\'une division ne doit pas contenir d\'espaces doublés.</p>

		<form enctype="multipart/form-data" action="" method="POST">
		  
			 <input class="boutontab" name="file" type="file" />
			 <br><input type="checkbox" id="newcode" name="newcode" /><label for="newcode"> Cocher cette case si les élèves ont un code pour la première fois ou si leur code change.</label>
		 
		   	<br><input class="bouton boutdb" name="maj_send" type="submit" value="Envoyer le fichier" />
		</form>';
	}		
}
else {
	include('include/noaccess.php');
	echo '<br><a href="../index.php">Accueil</a></p>';
}
?>
