<?php

echo '<h2>Statistiques générales (CDI)</h2>';

// récupération des divisions et groupes
$div = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division");
$groupes = mysqli_query($bdd,"SELECT groupe_nom FROM ".$prefix."_groupes");

include('./db/proc/edt_stats_form.php');

// Stats
if(isset($anneesco)) {
	echo '<h2>Année '.$anneesco.' '.$info_comp.'</h2>';
	if($_SESSION['frag']=="actday") { $w2 = $_SESSION['w2']; }
	else if($_SESSION['frag']=="allyea") { $w2 = substr($anneesco,5,4)."27"; }
	$eventdivs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_userevent uevent ON event.uid = uevent.uid INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE (brik.close = 1 OR brik.seance = 1) AND event.week >= '".substr($anneesco,0,4)."33' AND event.week <= '".$w2."' AND uevent.user_id=0");
}
else if(isset($_SESSION['week1'])) {
	echo '<h2>Semaines '.substr($_SESSION['week1'],0,4).'-'.substr($_SESSION['week1'],4,2).' à '.substr($_SESSION['week2'],0,4).'-'.substr($_SESSION['week2'],4,2).'</h2><p>De la semaine du '.date("d/m/Y",strtotime($day1)).' à la semaine du '.date("d/m/Y",strtotime($day2)).'.</p>';
	$eventdivs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_userevent uevent ON event.uid = uevent.uid INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE (brik.close = 1 OR brik.seance = 1) AND event.week >= '".$_SESSION['week1']."' AND event.week <= '".$_SESSION['week2']."' AND uevent.user_id=0");	
}
$eventdiv_nb = 0;
foreach ($eventdivs as $eventdiv) {
	if($eventdiv['duration']==5) { $duree = 0.5; }
	else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
	$eventdiv_nb += $duree;
}
if($eventdiv_nb==0) {
	echo '<p>Aucune donnée disponible pour cette année.</p>';
}
else {

	//récupération des niveaux et couleurs par niveau
	include('freq_stats_nivcolors.php'); 
	include('edt_stats_arrays.php');
	require_once('./include/basiccolors.php');
	
	$dayhour = 1; // pour activer le comptage dans calweeknb
	include('calweeknb.php');
	// préparation des arrays
	$tabHeuresTotal1 = array(); //total
	$tabHeuresTotal2 = array(); // étude/séances
	$tabHeuresTotal3 = array(); // séquences ou pas
	$tabHeuresWeek1 = array();
	$tabHeuresWeek2 = array();
	$tabHeuresWeek3 = array();
	$tabHeuresTxt1 = array();
	$tabHeuresTxt2 = array();
	$tabHeuresTxt3 = array();
	// comptage et affichage récapitulatif
	$demijours_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_hordemis WHERE statut = 1"));
	$djours_nb = ($demijours_nb * $nb_week)-($nb_jclose*2);
	$jours_nb = (($demijours_nb * $nb_week)/2)-$nb_jclose;
	if($nb_week==0) {
		echo '<h3>Aucune donnée disponible</h3>';
	}
	else {
		echo '<h3>Récapitulatif des chiffres illustrés dans ces statistiques générales :</h3>';
		echo $djours_nb.' demi-journées ouvertes (soit '.$jours_nb.' journées).';
		echo '<br> <br>';

		echo $nb_fullhour.' heures d\'amplitude maximale ('.round(($nb_fullhour/$nb_week),1).' par semaine).<br>';
		echo $nb_briks_close.' heures fermées ('.round(($nb_briks_close/$nb_week),1).' par semaine).<br>';
		echo ($nb_fullhour-$nb_briks_close).' heures d\'ouverture globale ('.round((($nb_fullhour-$nb_briks_close)/$nb_week),1).' par semaine).<br> <br>';
		array_push($tabHeuresTotal1,($nb_fullhour-$nb_briks_close));
		array_push($tabHeuresWeek1,round((($nb_fullhour-$nb_briks_close)/$nb_week),1));
		array_push($tabHeuresTxt1,'ouverture globale');
		array_push($tabHeuresTotal1,$nb_briks_close);
		array_push($tabHeuresWeek1,round(($nb_briks_close/$nb_week),1));
		array_push($tabHeuresTxt1,'fermetures');
			
		echo ($nb_fullhour-$eventdiv_nb).' heures d\'ouverture en étude ('.round((($nb_fullhour-$eventdiv_nb)/$nb_week),1).' par semaine).<br>';
		array_push($tabHeuresTotal2,($nb_fullhour-$eventdiv_nb));
		array_push($tabHeuresWeek2,round((($nb_fullhour-$eventdiv_nb)/$nb_week),1));
		array_push($tabHeuresTxt2,'ouverture en étude');
		echo $nb_briks_open_seance.' heures avec séances en classes ou groupes ('.round(($nb_briks_open_seance/$nb_week),1).' par semaine).<br>';
		array_push($tabHeuresTotal2,$nb_briks_open_seance);
		array_push($tabHeuresWeek2,round(($nb_briks_open_seance/$nb_week),1));
		array_push($tabHeuresTxt2,'avec séances en classes ou groupes');
		echo 'dont<br>';
		echo ($nb_briks_open_seance-$nb_briks_open_noseq).' heures avec séquence associée ('.round((($nb_briks_open_seance-$nb_briks_open_noseq)/$nb_week),1).' par semaine).<br>';
		array_push($tabHeuresTotal3,($nb_briks_open_seance-$nb_briks_open_noseq));
		array_push($tabHeuresWeek3,round((($nb_briks_open_seance-$nb_briks_open_noseq)/$nb_week),1));
		array_push($tabHeuresTxt3,'avec séquence associée');
		echo $nb_briks_open_noseq.' heures sans séquence associée ('.round(($nb_briks_open_noseq/$nb_week),1).' par semaine).<br>';
		array_push($tabHeuresTotal3,$nb_briks_open_noseq);
		array_push($tabHeuresWeek3,round(($nb_briks_open_noseq/$nb_week),1));
		array_push($tabHeuresTxt3,'sans séquence associée');
		echo '</p>';

		require_once('./include/showalltooltips.php');
		?>
	</article><article id="artleft" class="edtsep">
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbheurestotal" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbheurestotal");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt1); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresTotal1); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre total d\'heures (<?php echo $nb_fullhour; ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbheureshebdo" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbheureshebdo");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt1); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresWeek1); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre moyen d\'heures par semaine (<?php echo round(($nb_fullhour/$nb_week),1); ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbouverttotal" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbouverttotal");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt2); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresTotal2); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre total d\'ouvertures (<?php echo ($nb_fullhour-$nb_briks_close); ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbouverthebdo" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbouverthebdo");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt2); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresWeek2); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre moyen d\'ouvertures par semaine (<?php echo round((($nb_fullhour-$nb_briks_close)/$nb_week),1); ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbclassetotal" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbclassetotal");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt3); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresTotal3); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre total en classes ou groupes (<?php echo $nb_briks_open; ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbclassehebdo" class="charts" width="400" height="500"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbclassehebdo");
		var myChart = new Chart(ctx, {
			type: 'pie',
			data: {
				labels: <?php echo json_encode($tabHeuresTxt3); ?>,
				datasets: [{
					data: <?php echo json_encode($tabHeuresWeek3); ?>,
					backgroundColor: <?php echo json_encode($basicColors); ?>,
					borderColor: <?php echo json_encode($basicColors); ?>,
				}]
			},
			options: {
				title: {
					display: true,
					text: 'Nombre moyen en classes ou groupes par semaine (<?php echo round(($nb_briks_open/$nb_week),1); ?>)'
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
			}
		});
		</script>

		<?php
		//texte libre par type :
		$tabNbPerCode = array();
		$tabPercentPerCode = array();
		$tabTxtLibre = array();
		$tabTxtLibreColors = array();
		$txtlibres = mysqli_query($bdd,"SELECT textelibre FROM ".$prefix."_edtbrik WHERE textelibre != '' GROUP BY textelibre ORDER BY textelibre ASC");
		$ic=0;
		foreach($txtlibres as $txt) {
			if(isset($anneesco)) {
				$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_userevent uevent ON event.uid = uevent.uid INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE event.week >= '".substr($anneesco,0,4)."33' AND event.week <= '".substr($anneesco,5,4)."27' AND brik.textelibre = '".mysqli_real_escape_string($bdd,$txt['textelibre'])."' AND uevent.user_id=0");
			}
			else {
				$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_userevent uevent ON event.uid = uevent.uid INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE event.week >= '".$_SESSION['week1']."' AND event.week <= '".$_SESSION['week2']."' AND brik.textelibre = '".mysqli_real_escape_string($bdd,$txt['textelibre'])."' AND uevent.user_id=0");
			}
			$nbseances = 0;
			foreach ($nbseances_niv as $eventdiv) {
				if($eventdiv['duration']==5) { $duree = 0.5; }
				else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
				$nbseances += $duree;
			}
			if($nbseances>0) {
				$tabTxtLibre[]=$txt['textelibre'];
				$tabTxtLibreColors[]=$basicColors[$ic];
				array_push($tabNbPerCode, $nbseances);
				$percent = round(($nbseances * 100 / $eventdiv_nb),2);
				array_push($tabPercentPerCode, $percent);
				$ic++;
			}
		}
		?>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbtpercode" class="charts" width="400" height="300"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbtpercode");
		var myChart = new Chart(ctx, {
		    type: 'bar',
		    data: {
		        labels: <?php echo json_encode($tabTxtLibre); ?>,
		        datasets: [{
		            label: 'heures',
		            data: <?php echo json_encode($tabNbPerCode); ?>,
		            backgroundColor: <?php echo json_encode($tabTxtLibreColors); ?>,
		            borderColor: <?php echo json_encode($tabTxtLibreColors); ?>,
		            borderWidth: 1
		        }]
		    },
		    options: {
		        scales: {
		            yAxes: [{
		                ticks: {
		                    beginAtZero:true
		                }
		            }]
		        },
		        title: {
		            display: true,
		            text: 'Nombre de créneaux par intitulé'
		        },
		        legend: {
					display:false
				},
				responsive: true,
				maintainAspectRatio: false,
				showAllTooltips: true
		    }
		});
		</script>

		
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbperweekperetcl" class="charts" width="400" height="300"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbperweekperetcl");
		var myChart = new Chart(ctx, {
		    type: 'bar',
		    data: {
		        labels: <?php echo json_encode($tabWeeks); ?>,
		        datasets: [ 
		        {
		            label: 'étude',
		            data: <?php echo json_encode($nb_week_etude); ?>,
		            backgroundColor: '<?php echo $basicColors[0]; ?>',
		            borderColor: '<?php echo $basicColors[0]; ?>',
		            borderWidth: 1
		        },
		        {
		            label: 'séance',
		            data: <?php echo json_encode($nb_week_classe); ?>,
		            backgroundColor: '<?php echo $basicColors[1]; ?>',
		            borderColor: '<?php echo $basicColors[1]; ?>',
		            borderWidth: 1
		        } ]
		    },
		    options: {
		        scales: {
		            yAxes: [{
		                ticks: {
		                    beginAtZero:true
		                }
		            }]
		        },
		        title: {
		            display: true,
		            text: 'Répartition entre étude et séance chaque semaine'
		        },
		        legend: {
					display:true
				},
				responsive: true,
				maintainAspectRatio: false
		    }
		});
		</script>
<?php } 
} ?>