<?php
if($day1>=$rentree) {
	echo '<h3>Absence de fréquentation :</h3>';
	echo '<p class="maxwidth"><i>Le filtre fonctionne de la manière suivante : si vous avez une activité Etude et que vous ne demandez que cette activité, alors vous aurez ici tous les élèves qui ne sont pas venus en Etude.</i></p>';
	//élèves sans freq
	$elevespres_select = "SELECT freq.freq_id, eleves.eleves_id, freq.eleves_id, eleves.division, eleves.nom, eleves.prenom FROM ".$prefix."_eleves eleves 
		LEFT OUTER JOIN ".$prefix."_freq freq 
		ON freq.eleves_id = eleves.eleves_id
		WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' ".$filtre_activs." GROUP BY eleves.eleves_id";
	$elevespres_nb = mysqli_num_rows(mysqli_query($bdd,$elevespres_select));
	$eleves_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT eleves_id, division, nom, prenom FROM ".$prefix."_eleves ORDER BY division ASC"));
	$elevesabs_nb = $eleves_nb-$elevespres_nb;
	if($elevesabs_nb>0) {
		echo '<p>'.$elevesabs_nb.' élève';
		if($elevesabs_nb>1) { echo 's'; }
		echo ' (sur '.$eleves_nb.').</p>';
		echo '<div id="pager4" class="pager4">
		<form>
			<img src="img/nav/tab_first.png" class="first"/>
			<img src="img/nav/tab_prev.png" class="prev"/>
			<!-- the "pagedisplay" can be any element, including an input -->
			<input type="text" class="pagedisplay inptxt"/>
			<img src="img/nav/tab_next.png" class="next"/>
			<img src="img/nav/tab_last.png" class="last"/>
			<div class="box"><select class="pagesize">
				<option selected="selected"  value="15">15 par page</option>
				<option value="30">30 par page</option>
				<option  value="45">45 par page</option>
				<option  value="60">60 par page</option>
			</select></div>
		</form><br>
		</div>';
		echo '<table  cellspacing="1" class="tablesorter table4"><thead><tr><th>Division</th><th>Nom et prénom</th></tr></thead><tbody>';
		//élèves avec freq et filtre
		$elevespres_select = "SELECT freq.freq_id, eleves.eleves_id, freq.eleves_id, eleves.division, eleves.nom, eleves.prenom FROM ".$prefix."_eleves eleves 
		LEFT OUTER JOIN ".$prefix."_freq freq 
		ON freq.eleves_id = eleves.eleves_id
		WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' ".$filtre_activs." GROUP BY eleves.eleves_id";
		$elevespres = mysqli_query($bdd,$elevespres_select);
		//élèves
		$eleves = mysqli_query($bdd,"SELECT eleves_id, division, nom, prenom FROM ".$prefix."_eleves ORDER BY division ASC");
		foreach($eleves as $eleves_info) {
			$elecheck = 0;
			foreach($elevespres as $freqcheck) {
				if($freqcheck['eleves_id']==$eleves_info['eleves_id']) { $elecheck =1; }
			}
			if($elecheck==0) {
				echo '<tr><td class="center">'.$eleves_info['division'].'</td><td>'.$eleves_info['nom'].' '.$eleves_info['prenom'].'</td></tr>';
			}
		}
		echo '</tbody></table>';
		?>
		<!-- fréquentation par division -->
		<?php
		require_once('./include/showalltooltips.php');
		$tabNbPerDiv = array();
		$liste_division = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division ASC");
		while($listediv = mysqli_fetch_assoc($liste_division)) {
			$div=0;
			//élèves avec freq et filtre
			$elevespres_select = "SELECT freq.freq_id, eleves.eleves_id, freq.eleves_id, eleves.division, eleves.nom, eleves.prenom FROM ".$prefix."_eleves eleves 
			LEFT OUTER JOIN ".$prefix."_freq freq 
			ON freq.eleves_id = eleves.eleves_id
			WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' ".$filtre_activs." GROUP BY eleves.eleves_id";
			$elevespres = mysqli_query($bdd,$elevespres_select);
			//élèves
			$eleves = mysqli_query($bdd,"SELECT eleves_id, division, nom, prenom FROM ".$prefix."_eleves WHERE division = '".$listediv['division']."'");
			foreach($eleves as $eleves_info) {
				$elecheck = 0;
				foreach($elevespres as $freqcheck) {
					if($freqcheck['eleves_id']==$eleves_info['eleves_id']) { $elecheck =1; }
				}
				if($elecheck==0) {
					$div++;
				}
			}
			array_push($tabNbPerDiv, $div);
		}
		?>
		<div id="wrapper" class="statcadre">
		<canvas id="chart_nbperdiv" class="charts" width="400" height="300"></canvas>
		</div>
		<script>
		var ctx = document.getElementById("chart_nbperdiv");
		var myChart = new Chart(ctx, {
			type: 'bar',
			data: {
				labels: <?php echo json_encode($tabDivisions); ?>,
				datasets: [{
					label: 'nombre d\'élèves',
					data: <?php echo json_encode($tabNbPerDiv); ?>,
					backgroundColor: <?php echo json_encode($tabDivColors); ?>,
					borderColor: <?php echo json_encode($tabDivColors); ?>,
					borderWidth: 1
				}]
			},
			options: {
				scales: {
					yAxes: [{
						ticks: {
							beginAtZero:true
						}
					}]
				},
				title: {
					display: true,
					text: 'Absence de fréquentation par division'
				},
				legend: {
					display:false
				},
				responsive: true,
				maintainAspectRatio: false
			}
		});
		</script>
	<?php
	}
	else { echo '<p>Aucune absence de fréquentation.</p>'; }
}
?>